Skip to content
POST /unified/knowledge-base/page-exports

Query Parameters

Refer Specifying query parameters in Truto APIs

collectionobject

The collection associated with the page export

1 supported1 required
Coda
required
idstring

Unique identifier for the collection

pageobject

The page associated with the page export

1 supported1 required
Coda
required
idstring

Unique identifier for the page

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

format

The content type of the export.

Possible values:
htmlmarkdown
1 supported
Coda
supported
htmlmarkdown
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring

The unique identifier of the page export job

1 supported
Coda
supported
pageobject

The page associated with the page export job

idstring

The unique identifier of the page

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the page export job

1 supported
Coda
supported
urlsobject[]

The urls associated with the page export job

1 supported
Coda
supported
typestring

The type of the url

Possible values:
downloadtruto_downloadview
urlstring

The url associated with the page export

curl -X POST 'https://api.truto.one/unified/knowledge-base/page-exports?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "format": "html",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "format": "html",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/knowledge-base/page-exports?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/knowledge-base/page-exports"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "format": "html",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'knowledge-base',
  'pageexports',
  {
  "format": "html",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "knowledge-base",
        "pageexports",
        {
        "format": "html",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())